#version 460

out vec4 p3d_FragColor;

uniform sampler2DArray texture_array;
uniform int DMKlayer;

in vec4 TexCoords;

//Stop auto shader
uniform struct p3d_LightSourceParameters {
	vec4 position;
    sampler2DShadow shadowMap;
    mat4 shadowViewMatrix;
} p3d_LightSource[2];

in vec4 cookie_tc[2];

void main() {
  float dummy = texture(p3d_LightSource[0].shadowMap,cookie_tc[0].xyz);
  vec4 sampled = vec4(dummy);
  sampled = texture(texture_array, vec3(TexCoords.xy,DMKlayer));
  p3d_FragColor = sampled;
}
